CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2022 开发者帮助

HyperlinkDisplayCursor 属性 (ActiveX)

2024-5-18 18:45| 发布者: admin| 查看: 10| 评论: 0|原作者: admin|来自: AutoCAD

HyperlinkDisplayCursor 属性 (ActiveX)

切换超链接光标和快捷菜单的显示。

支持的平台:仅限 Windows

签名

VBA:

object.HyperlinkDisplayCursor
对象

类型:PreferencesUser

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:显示超链接光标和快捷菜单。
  • False:不显示超链接光标和快捷菜单。

言论

此属性的初始值为 。True

启用此属性后,每当光标位于包含超链接的对象上时,用户都会看到一个小位图(就在十字准线的下方和右侧)。禁用该属性后,将不会显示此位图。

例子

VBA:

Sub Example_HyperlinkDisplayCursor()
    ' This example reads and modifies the preference value that controls
    ' the display of the hyperlink cursor and shortcut menu.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesUser
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.Application.preferences.User
    
    ' Read and display the original value
    originalValue = ACADPref.HyperlinkDisplayCursor
    MsgBox "The HyperlinkDisplayCursor preference is set to: " & originalValue

    ' Modify the HyperlinkDisplayCursor preference by toggling the value
    ACADPref.HyperlinkDisplayCursor = Not (ACADPref.HyperlinkDisplayCursor)
    newValue = ACADPref.HyperlinkDisplayCursor
    MsgBox "The HyperlinkDisplayCursor preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.HyperlinkDisplayCursor = originalValue
    MsgBox "The HyperlinkDisplayCursor preference was reset back to: " & originalValue
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_HyperlinkDisplayCursor()
    ;; This example reads and modifies the preference value that controls
    ;; the display of the hyperlink cursor and shortcut menu.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-HyperlinkDisplayCursor (vla-get-User preferences)))
    (alert (strcat "The HyperlinkDisplayCursor preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the HyperlinkDisplayCursor preference by toggling the value
    (vla-put-HyperlinkDisplayCursor (vla-get-User preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-HyperlinkDisplayCursor (vla-get-User preferences)))
    (alert (strcat "The HyperlinkDisplayCursor preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-HyperlinkDisplayCursor (vla-get-User preferences) originalValue)
    (alert (strcat "The HyperlinkDisplayCursor preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 15:46

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部